Create an object

POST /users/{userId}/objects

Path parameters

userIdstring✻

The unique identifier of the user.

format: uuid

Documentation

Example
"70c09d76-e53c-470f-916a-ef33706382b4"

Request body✻

Content application/json

Examples
New Blood Glucose Sample
{
	"type": "bloodGlucose",
	"quantity": {
		"unit": "mg/dL",
		"value": 100
	},
	"startDate": "2024-01-29T13:15:38.098Z",
	"endDate": "2024-01-29T13:15:38.098Z",
	"metadata": {
		"bloodGlucoseMealTime": "postprandial",
		"externalId": "EX123",
		"timeZone": "Europe/Copenhagen",
		"userEntered": false,
		"property1": true,
		"property2": 123,
		"property3": "abc"
	},
	"device": {
		"id": "34de05f1-ecb3-4dea-ab16-81e1a584ebfb",
		"firmwareVersion": "3.0.5",
		"hardwareVersion": "6.1.0",
		"manufacturer": "Novo Nordisk A/S",
		"model": "NovoPen 6",
		"name": "NovoPen",
		"softwareVersion": "8.1.2"
	}
}
New Bolus Calculation Sample
{
	"type": "bolusCalculation",
	"objects": [
		"83f05666-3668-451f-abfb-8d50f244367d",
		"dce70c6e-6108-40e3-b9cd-3deaeae80bfb",
		{
			"type": "bloodGlucose",
			"quantity": {
				"unit": "mg/dL",
				"value": 100
			},
			"startDate": "2024-01-29T13:15:38.098Z",
			"endDate": "2024-01-29T13:15:38.098Z",
			"metadata": {
				"bloodGlucoseMealTime": "postprandial",
				"externalId": "EX123",
				"timeZone": "Europe/Copenhagen",
				"userEntered": false,
				"property1": true,
				"property2": 123,
				"property3": "abc"
			},
			"device": {
				"id": "34de05f1-ecb3-4dea-ab16-81e1a584ebfb",
				"firmwareVersion": "3.0.5",
				"hardwareVersion": "6.1.0",
				"manufacturer": "Novo Nordisk A/S",
				"model": "NovoPen 6",
				"name": "NovoPen",
				"softwareVersion": "8.1.2"
			}
		},
		{
			"type": "insulinRecommendation",
			"quantity": {
				"unit": "units",
				"value": 5
			},
			"startDate": "2024-01-29T13:21:38.098Z",
			"endDate": "2024-01-29T13:21:38.098Z",
			"metadata": {
				"insulinDeliveryReason": "bolus",
				"externalId": "EX124",
				"timeZone": "Europe/Copenhagen"
			}
		}
	],
	"startDate": "2024-01-29T13:21:39.412Z",
	"endDate": "2024-01-29T13:21:39.412Z",
	"device": {
		"name": "HDA"
	},
	"metadata": {
		"externalId": "EX125",
		"timeZone": "Europe/Copenhagen"
	}
}
New Diabetes Type Characteristic
{
	"type": "diabetesType",
	"diabetesType": "type1"
}

Responses

    201Created

Content application/json

Examples
Blood Glucose Sample
{
	"id": "f906f26b-6a0c-4c72-97f2-c9ad8701f730",
	"userId": "70c09d76-e53c-470f-916a-ef33706382b4",
	"type": "bloodGlucose",
	"quantity": {
		"unit": "mg/dL",
		"value": 100
	},
	"startDate": "2024-01-29T13:15:38.098Z",
	"endDate": "2024-01-29T13:15:38.098Z",
	"metadata": {
		"bloodGlucoseMealTime": "postprandial",
		"externalId": "EX123",
		"timeZone": "Europe/Copenhagen",
		"userEntered": false,
		"property1": true,
		"property2": 123,
		"property3": "abc"
	},
	"device": {
		"id": "34de05f1-ecb3-4dea-ab16-81e1a584ebfb",
		"firmwareVersion": "3.0.5",
		"hardwareVersion": "6.1.0",
		"manufacturer": "Novo Nordisk A/S",
		"model": "NovoPen 6",
		"name": "NovoPen",
		"softwareVersion": "8.1.2"
	},
	"source": {
		"id": "f6c8e76c-d8a3-4339-879a-4a626edba805",
		"name": "hda",
		"version": "2.18.0"
	},
	"createdAt": "2024-01-29T13:15:40.390Z"
}
Bolus Calculation Sample
{
	"id": "d7a5b8b4-03a9-4f78-8685-3848199ec826",
	"userId": "70c09d76-e53c-470f-916a-ef33706382b4",
	"type": "bolusCalculation",
	"objects": [
		"83f05666-3668-451f-abfb-8d50f244367d",
		"dce70c6e-6108-40e3-b9cd-3deaeae80bfb",
		"f906f26b-6a0c-4c72-97f2-c9ad8701f730",
		"44fe5162-e079-4e29-9cd3-1f6d6fd2e848"
	],
	"startDate": "2024-01-29T13:15:39.412Z",
	"endDate": "2024-01-29T13:15:39.412Z",
	"device": {
		"name": "HDA"
	},
	"metadata": {
		"externalId": "EX124",
		"timeZone": "Europe/Copenhagen"
	},
	"source": {
		"id": "f6c8e76c-d8a3-4339-879a-4a626edba805",
		"name": "hda",
		"version": "2.18.0"
	},
	"createdAt": "2024-01-29T13:15:40.390Z"
}
Diabetes Type Characteristic
{
	"id": "ce1b534c-df77-455c-9bd6-6d4fe32600aa",
	"userId": "70c09d76-e53c-470f-916a-ef33706382b4",
	"type": "diabetesType",
	"diabetesType": "type1",
	"source": {
		"id": "f6c8e76c-d8a3-4339-879a-4a626edba805",
		"name": "hda",
		"version": "2.18.0"
	},
	"createdAt": "2024-01-29T13:15:40.390Z"
}

Security

Servers

    data.hedia.comhttps://data.hedia.com/api/v1